Page MenuHomePhabricator

1.40.0-wmf.18 deployment blockers
Closed, ResolvedPublic5 Estimated Story PointsRelease

Details

Backup Train Conductor
dduvall
Release Version
1.40.0-wmf.18
Release Date
Mon, Jan 9, 12:00 AM

2023 week 02 1.40-wmf.18 Changes wmf/1.40.0-wmf.18

This MediaWiki Train Deployment is scheduled for the week of Monday, January 9th:

Monday January 9thTuesday, January 10thWednesday, January 11thThursday, January 12thFriday
Backports only.Branch wmf.18 and deploy to Group 0 Wikis.Deploy wmf.18 to Group 1 Wikis.Deploy wmf.18 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.18 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward. This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • If you have a risky change in this week's train add a comment to this task using the Risky patch template
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.40.0-wmf.17
Next: 1.40.0-wmf.19

Event Timeline

thcipriani triaged this task as Medium priority.
thcipriani updated Other Assignee, added: jnuche.
thcipriani set the point value for this task to 5.
thcipriani updated Other Assignee, added: dduvall; removed: jnuche.
thcipriani added a subscriber: dduvall.
Risky Patch! 🚂🔥
  • Change: https://gerrit.wikimedia.org/r/c/mediawiki/extensions/VisualEditor/+/870692
  • Summary: This change refactors how VisualEditor stores targets of internal links. If we got something wrong, it may cause dirty diffs when saving edits on pages that contain internal links with special characters or unusual encoding.
  • Test plan: Change is covered by unit tests, and will be tested manually, but we might have missed something.
  • Places to monitor: Complaints on-wiki and bug reports
  • Revert plan: Revert patch
  • Affected wikis: all
  • IRC contact: MatmaRex, Kemayo
  • UBN Task Projects/tags: VisualEditor
  • Would you like to backport this change rather than ride the train?: No

Change 876376 had a related patch set uploaded (by TrainBranchBot; author: trainbranchbot):

[mediawiki/core@wmf/1.40.0-wmf.18] Branch commit for wmf/1.40.0-wmf.18

https://gerrit.wikimedia.org/r/876376

Change 876376 merged by jenkins-bot:

[mediawiki/core@wmf/1.40.0-wmf.18] Branch commit for wmf/1.40.0-wmf.18

https://gerrit.wikimedia.org/r/876376

Change 878199 had a related patch set uploaded (by TrainBranchBot; author: Jeena Huneidi):

[operations/mediawiki-config@master] testwikis wikis to 1.40.0-wmf.18

https://gerrit.wikimedia.org/r/878199

Change 878199 merged by jenkins-bot:

[operations/mediawiki-config@master] testwikis wikis to 1.40.0-wmf.18

https://gerrit.wikimedia.org/r/878199

Mentioned in SAL (#wikimedia-operations) [2023-01-10T21:36:51Z] <jhuneidi@deploy1002> Started scap: testwikis wikis to 1.40.0-wmf.18 refs T325581

Mentioned in SAL (#wikimedia-operations) [2023-01-10T22:21:55Z] <jhuneidi@deploy1002> Finished scap: testwikis wikis to 1.40.0-wmf.18 refs T325581 (duration: 45m 04s)

Change 878208 had a related patch set uploaded (by TrainBranchBot; author: Jeena Huneidi):

[operations/mediawiki-config@master] group0 wikis to 1.40.0-wmf.18

https://gerrit.wikimedia.org/r/878208

Change 878208 merged by jenkins-bot:

[operations/mediawiki-config@master] group0 wikis to 1.40.0-wmf.18

https://gerrit.wikimedia.org/r/878208

Mentioned in SAL (#wikimedia-operations) [2023-01-10T22:42:54Z] <jhuneidi@deploy1002> rebuilt and synchronized wikiversions files: group0 wikis to 1.40.0-wmf.18 refs T325581

Change 879152 had a related patch set uploaded (by TrainBranchBot; author: Jeena Huneidi):

[operations/mediawiki-config@master] group1 wikis to 1.40.0-wmf.18

https://gerrit.wikimedia.org/r/879152

Change 879152 merged by jenkins-bot:

[operations/mediawiki-config@master] group1 wikis to 1.40.0-wmf.18

https://gerrit.wikimedia.org/r/879152

Mentioned in SAL (#wikimedia-operations) [2023-01-11T23:15:54Z] <jhuneidi@deploy1002> rebuilt and synchronized wikiversions files: group1 wikis to 1.40.0-wmf.18 refs T325581

Mentioned in SAL (#wikimedia-operations) [2023-01-11T23:22:52Z] <jhuneidi@deploy1002> Synchronized php: group1 wikis to 1.40.0-wmf.18 refs T325581 (duration: 06m 57s)

Change 879622 had a related patch set uploaded (by TrainBranchBot; author: Jeena Huneidi):

[operations/mediawiki-config@master] all wikis to 1.40.0-wmf.18

https://gerrit.wikimedia.org/r/879622

Change 879622 merged by jenkins-bot:

[operations/mediawiki-config@master] all wikis to 1.40.0-wmf.18

https://gerrit.wikimedia.org/r/879622

Mentioned in SAL (#wikimedia-operations) [2023-01-12T19:11:09Z] <jhuneidi@deploy1002> rebuilt and synchronized wikiversions files: all wikis to 1.40.0-wmf.18 refs T325581